cancel
Showing results for 
Search instead for 
Did you mean: 

Error when running setup:di:compile.

SOLVED
Highlighted

Error when running setup:di:compile.

We are receiving the following error message when deploying to a live server.

PHP Fatal error:  Declaration of Temando\Shipping\Model\ResourceModel\Carrier\Collection::fetchData() must be compatible with Temando\Shipping\Model\ResourceModel\Webservice\Collection::fetchData(Magento\Framework\Api\SearchCriteriaInterface $criteria) in /var/www/vhosts/XXX/htdocs/vendor/temando/module-shipping-m2/Model/ResourceModel/Carrier/Collection.php on line 22

Disabling Temando_Shipping makes no difference. We have cleared cache, etc but nothing seems to resolve the issue.

6x certified Magento Specialist.
Nigel Boulton, Magento Solution Specialist
1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted

Re: Error when running setup:di:compile.

The solution was to run the following commands:

rm -rf vendor/*
composer upgrade
6x certified Magento Specialist.
Nigel Boulton, Magento Solution Specialist

View solution in original post

6 REPLIES 6
Highlighted

Re: Error when running setup:di:compile.

Hi @pinkdigital

 

this issue is already reported on github couple of times , generally it resolved by disabling the module !

 

have you disable this module using command line ?

 

Also there is one external patch is there to resolve this issue  i am sharing the link for the same -  https://github.com/pfortin-expertime/MageFix-Temando 

 

You can also refer this link - https://github.com/magento/magento2/issues/14472

 

I am not sure, but this is just suggestion that it might helps you !

if issue solved,Click Kudos & Accept as Solution
Highlighted

Re: Error when running setup:di:compile.

I had already disabled the module but it has made no difference, upgrading to 2.2.4 has also not changed anything.

6x certified Magento Specialist.
Nigel Boulton, Magento Solution Specialist
Highlighted

Re: Error when running setup:di:compile.

The solution was to run the following commands:

rm -rf vendor/*
composer upgrade
6x certified Magento Specialist.
Nigel Boulton, Magento Solution Specialist

View solution in original post

Highlighted

Re: Error when running setup:di:compile.

where do you run this command?

rm -rf vendor/*
Highlighted

Re: Error when running setup:di:compile.

Hi there ,,,, Its not saved me Smiley Sad

Same error

Compilation was started.
Repositories code generation... 1/7 [==>-----------------] 14% < 1 sec 76.5 MiBPHP Fatal error: Interface 'Vertex\Tax\Model\Flexfield\Processor\InvoiceFlexFieldProcessorInterface' not found in /var/www/html/magento2/vendor/vertex/module-tax/Model/FlexField/Processor/OrderCurrencyGetterProcessor.php on line 24

Highlighted

Re: Error when running setup:di:compile.

composer update not upgrade.